aboutsummaryrefslogtreecommitdiffstats
path: root/deployment/heat/onap-rke/scripts/prepull-docker.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deployment/heat/onap-rke/scripts/prepull-docker.sh')
-rwxr-xr-xdeployment/heat/onap-rke/scripts/prepull-docker.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/deployment/heat/onap-rke/scripts/prepull-docker.sh b/deployment/heat/onap-rke/scripts/prepull-docker.sh
new file mode 100755
index 000000000..37385dd55
--- /dev/null
+++ b/deployment/heat/onap-rke/scripts/prepull-docker.sh
@@ -0,0 +1,26 @@
+#!/bin/bash -x
+#
+# Copyright 2018 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+
+if [ -z "$WORKSPACE" ]; then
+ export WORKSPACE=`git rev-parse --show-toplevel`
+fi
+
+if [ "$#" -ne 1 ]; then
+ echo "Usage: $0 <docker-proxy>"
+ exit 1
+fi
+DOCKER_PROXY=$1
+
+for MANIFEST in docker-manifest.csv docker-manifest-staging.csv; do
+ for DOCKER_IMAGE in $(tail -n +2 $WORKSPACE/version-manifest/src/main/resources/$MANIFEST | tr ',' ':'); do
+ docker pull $DOCKER_PROXY/$DOCKER_IMAGE
+ done
+done